using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB_Ivanov
{
    public partial class BB3 : Form
    {
        public BB3()
        {
            InitializeComponent();
        }

        private void uslugiBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.uslugiBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_IvanovDataSet);

        }

        private void Form3_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_IvanovDataSet.Uslugi". При необходимости она может быть перемещена или удалена.
            this.uslugiTableAdapter.Fill(this.bB_IvanovDataSet.Uslugi);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            uslugiBindingSource.AddNew();

        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.uslugiBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_IvanovDataSet);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            uslugiBindingSource.RemoveCurrent();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Form1 f = new Form1();
            f.Show();
            this.Hide();
        }
    }
}
